Bug 146838 - Need to document our XLIFF entries better
Need to document our XLIFF entries better
Status: CLOSED NEXTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-02-01 18:38 EST by Mike McCune
Modified: 2007-04-18 13:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 22:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-02-01 18:38:08 EST
> The next thing is missing context wrt variables, and also wrt some
> terms. Consider the following examples:
>
> * IllegalAccessException calling {0} ("{1}"): {2}
> * Could not find ACL handler {0} in statement: "{1}". Available ACL
> handlers: {2}
>
> For the above examples, it would be helpful to give some context as to
> what it means. Some translators might not know what is happening here,
> so it is extremely difficult to translate, especially if mixed with
> quite a few variables. What does the first statement mean? What is an
> ACL handler? Or, in general, what do the variables refer to, as in the
> following example:
>
> * {0} is required.
> * this is a test of the {0}
>
> It is much easier to translate if it is known what the variables refer
> to. In the second case, "the" would even be translated differently in
> some languages, depending on what {0} is.


Basically, it would be good if for trans-units that we include
variable substitution to include a comment explaining an example of a
filled out value.  Something like :

<!-- example usage:  Email Field is required -->

we could definitely accommodate this.
Comment 1 Mike McCune 2005-02-23 22:33:03 EST
updating hours worked and closing bug

Note You need to log in before you can comment on or make changes to this bug.